/Users/bernard/b20/bsoft/include/rwSitus.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwSitus.h - Header file for reading and writing Situs files.

SYNOPSIS

#include 'rwimg.h'

  Functions
int readSitus (Bimage *p, int readdata)
Reading a Situs image format.
int writeSitus (Bimage *p)
Writing a Situs image format.

Detailed Description

Header file for reading and writing Situs files.

Author:
    Bernard Heymann

Date:
    Created: 20150316

    Modified: 20150316

    Format: Situs image file format

Definition in file rwSitus.h.

Function Documentation

  int readSitus (Bimage * p, int readdata)

Reading a Situs image format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). This function reads an Situs image file: The first line contains (in order): sampling -origin 3 values size 3 values Data type returned is Float

Definition at line 27 of file rwSitus.cpp.

  int writeSitus (Bimage * p)

Writing a Situs image format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 82 of file rwSitus.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.